org.keycloak.authentication.requiredactions

## Class ConsoleUpdateTotp

- java.lang.Object
- - org.keycloak.authentication.requiredactions.ConsoleUpdateTotp

- All Implemented Interfaces:
    RequiredActionProvider, Provider

      public class ConsoleUpdateTotp
      extends Object
      implements RequiredActionProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConsoleUpdateTotp` | `SINGLETON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleUpdateTotp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConsoleDisplayMode` | `challenge(RequiredActionContext context)`
    `void` | `close()`
    `void` | `evaluateTriggers(RequiredActionContext context)` Called every time a user authenticates.
    `void` | `processAction(RequiredActionContext context)` Called when a required action has form input you want to process.
    `void` | `requiredActionChallenge(RequiredActionContext context)` If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.RequiredActionProvider

      `getMaxAuthAge, initiatedActionCanceled, initiatedActionSupport`

- - ### Field Detail

    - #### SINGLETON

          public static final ConsoleUpdateTotp SINGLETON

  - ### Constructor Detail

    - #### ConsoleUpdateTotp

          public ConsoleUpdateTotp()

  - ### Method Detail

    - #### evaluateTriggers

          public void evaluateTriggers(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      Called every time a user authenticates. This checks to see if this required action should be triggered. The implementation of this method is responsible for setting the required action on the UserModel. For example, the UpdatePassword required actions checks the password policies to see if the password has expired.
      Specified by:
        `evaluateTriggers` in interface `RequiredActionProvider`

    - #### requiredActionChallenge

          public void requiredActionChallenge(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      If the user has a required action set, this method will be the initial call to obtain what to display to the user's browser. Return null if no action should be done.
      Specified by:
        `requiredActionChallenge` in interface `RequiredActionProvider`

    - #### challenge

          protected ConsoleDisplayMode challenge(RequiredActionContext context)

    - #### processAction

          public void processAction(RequiredActionContext context)

      Description copied from interface: `RequiredActionProvider`
      Called when a required action has form input you want to process.
      Specified by:
        `processAction` in interface `RequiredActionProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.